@import "variables/colors";
@import "variables/font";

.sub-item {
  display: flex;
  gap: 5px;
  padding-left: 8px;
  &__icon {
    margin: auto;
  }
  &--dashed {
    display: grid;
    grid-template-columns: auto auto 1fr auto;
  }

  &__dashed-divider {
    border-bottom: 1px dashed #e2e4e2;
    position: relative;
    top: -10px;
  }

  p {
    margin: 0;
    padding: 5px 0;
    font-size: 12px;
  }
  &.template-default {
    p {
      color: $main-indigo-60;
    }
  }
  &.template-primary {
    .sub-item__title {
      color: $neutral-60;
      font-size: 14px;
      &::first-letter {
        text-transform: capitalize;
      }
    }
    .sub-item__value {
      color: $caribbean-green-80;
      font-size: 16px;
      font-family: $roboto-medium;
    }
  }
  &.template-alternative {
    .sub-item__title {
      color: $bluette-60;
      font-size: 14px;
      &::first-letter {
        text-transform: capitalize;
      }
    }
    .sub-item__value {
      color: $bluette-60;
      font-size: 16px;
      font-family: $roboto-medium;
    }
  }
}
